Create invite
Sends an invite for a new user to join the company. The message goes to the given email with the selected role.
Rules:
roleIdmust be a v4 UUID for a role in the company.emailmust be valid.- You cannot invite an address that already has a pending invite or is already a member.
curl -X POST "https://api-sandbox.contasimples.com/users/v1/invites" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"roleId": "550e8400-e29b-41d4-a716-446655440000",
"email": "user@company.com"
}'
import requests
import json
url = "https://api-sandbox.contasimples.com/users/v1/invites"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"roleId": "550e8400-e29b-41d4-a716-446655440000",
"email": "user@company.com"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api-sandbox.contasimples.com/users/v1/invites", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"roleId": "550e8400-e29b-41d4-a716-446655440000",
"email": "user@company.com"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"roleId": "550e8400-e29b-41d4-a716-446655440000",
"email": "user@company.com"
}`)
req, err := http.NewRequest("POST", "https://api-sandbox.contasimples.com/users/v1/invites", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api-sandbox.contasimples.com/users/v1/invites')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"roleId": "550e8400-e29b-41d4-a716-446655440000",
"email": "user@company.com"
}'
response = http.request(request)
puts response.body
{
"message": "Invite created."
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
/users/v1/invites
Bearer token from OAuth 2.0 client credentials. Format: Bearer {token}
Bearer {token}The media type of the request body
Role ID to assign. Must be a v4 UUID.
Email the invite is sent to.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Bearer token from OAuth 2.0 client credentials. Format: Bearer {token}
Body
Role ID to assign. Must be a v4 UUID.
Email the invite is sent to.
Responses
Confirmation message.
Invalid request. The invite already exists or the user is already a member.
Unauthorized. Token missing, invalid, or expired.
Could not find the company’s primary (MAIN) user.
Internal server error. Retry with exponential backoff.
Last updated today
Built with Documentation.AI